The Chrome Web Store API provides access to data about apps and extensions, as well as developer tools for managing them.
Service: chromewebstore.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://chromewebstore.googleapis.com
REST Resource: v2.media
| Methods | |
|---|---|
upload |
POST /v2/{name=publishers/*/items/*}:upload POST /upload/v2/{name=publishers/*/items/*}:upload Upload a new package to an existing item. |
REST Resource: v2.publishers.items
| Methods | |
|---|---|
cancelSubmission |
POST /v2/{name=publishers/*/items/*}:cancelSubmission Cancel the current active submission of an item if present. |
fetchReviews |
GET /v2/{name=publishers/*/items/*}:fetchReviews Fetch user reviews for an item. |
fetchStatus |
GET /v2/{name=publishers/*/items/*}:fetchStatus Fetch the status of an item. |
getRatingSummary |
GET /v2/{name=publishers/*/items/*/ratingSummary} Gets the RatingSummary for the publishers item. |
publish |
POST /v2/{name=publishers/*/items/*}:publish Submit the item to be published in the store. |
queryMetrics |
GET /v2/{name=publishers/*/items/*}:queryMetrics Query the metrics for an item. |
rollback |
POST /v2/{name=publishers/*/items/*}:rollback Rolls back an item's published CRX package to a specified previously published CRX package and publishes it to all users. |
setPublishedDeployPercentage |
POST /v2/{name=publishers/*/items/*}:setPublishedDeployPercentage Set a higher target deploy percentage for the item's published revision. |